SoLinearProfile(3)

NAME
SoLinearProfile - The SoLinearProfile class is a node for specifying linear profile curves.

SYNOPSIS

#include <Inventor/nodes/SoLinearProfile.h>

Inherits SoProfile.

  Public Member Functions
virtual SoType getTypeId (void) const
SoLinearProfile (void)
virtual void getTrimCurve (SoState *state, int32_t &numpoints, float *&points, int &floatspervec, int32_t &numknots, float *&knotvector)
virtual void getVertices (SoState *state, int32_t &numvertices, SbVec2f *&vertices)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoLinearProfile ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoLinearProfile class is a node for specifying linear profile curves. Use nodes of this type if you want to set up profiles that are simply straight lines connected by control points.

FILE FORMAT/DEFAULTS:

LinearProfile {
    index 0
    linkage START_FIRST
}

Constructor & Destructor Documentation

  SoLinearProfile::SoLinearProfile (void)
Constructor.

  SoLinearProfile::~SoLinearProfile () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoLinearProfile::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoLinearProfile::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoProfile.

  const SoFieldData ** SoLinearProfile::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoLinearProfile::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoProfile.

  void SoLinearProfile::getTrimCurve (SoState * state, int32_t & numpoints, float *& points, int & floatspervec, int32_t & numknots, float *& knotvector) [virtual]
Return points and knotvector of the state.

Implements SoProfile.

  void SoLinearProfile::getVertices (SoState * state, int32_t & numvertices, SbVec2f *& vertices) [virtual]
Return vertex set of state.

Implements SoProfile.

Author

Generated automatically by Doxygen for Coin from the source code.